<template>
    <div class="overload">
        <div class="holder">
            <MarqueeAdvert class="mq"></MarqueeAdvert>
            <Banner></Banner>
        </div>

        <div class="holder1">
            <div class="holder1-bg"></div>
            <div class="container">
                <div class="accompany">
                    <HomeFeature class='feat' title="Production-Ready" title2="Templates" :description="production.d"></HomeFeature>
                </div>
                <div class="accompany">
                    <Pic type="h" :src="production.i" :relative="true"></Pic>
                </div>
            </div>
            <div class="container">
                <div class="accompany">
                    <Pic type="h" :src="focus.i" :relative="true"></Pic>
                </div>
                <div class="accompany">
                    <HomeFeature class='feat' title="FOCUS ON" title2="WHAT MATTERS" :description="focus.d"></HomeFeature>
                </div>

            </div>
        </div>
        <div class="holder2">
            <div class="container">
                <div class="accompany">
                    <HomeFeature class='feat' title="Customizable" title2="Build Configs" :description="custom.d"></HomeFeature>
                </div>
                <div class="accompany">
                    <Pic type="h" :src="custom.i" :relative="true"></Pic>
                </div>
            </div>
            <div class="container">
                <div class="accompany">
                    <Pic type="h" :src="simplicity.i" :relative="true"></Pic>
                </div>
                <div class="accompany">
                    <HomeFeature class='feat' title="SIMPLICITY" title2="At Scale" :description="simplicity.d"></HomeFeature>
                </div>
            </div>
        </div>
        <footer>Copyright kirinnee 2019, All rights reserved</footer>
    </div>
</template>

<style lang='scss' scoped>
    footer {
        text-align: center;
        font-family: Quicksand, sans-serif;
    }

    .accompany {
        position: relative;
        height: 80%;
        margin: 0 50px;

        .feat {
            position: relative;
            width: 600px;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
        }
    }

    .overload {
        overflow-x: hidden;
        overflow-y: auto;
        height: calc(100vh - 60px);
    }

    .holder2, .holder1 {
        width: 100%;
        height: 800px;
        position: relative;

        .container {
            height: 50%;
        }
    }

    .holder1 {
        margin-top: 80px;

    }

    .holder1-bg {
        width: 100%;
        background: #edf2f8;
        position: absolute;
        clip-path: polygon(0 70%, 100% 30%, 100% 100%, 0 100%);
        height: 800px;
    }

    .container {
        position: relative;
        display: flex;
        justify-content: center;
        box-sizing: border-box;
        width: 100%;
    }

    .mq {
        position: relative;
        left: 55%;
        transform: translateX(-50%);
    }

    .h-center {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }

    .holder {
        @extend .h-center;
        width: 800px;
        font-family: Raleway, sans-serif;
    }


</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	import Banner from "./Banner.vue";
	import MarqueeAdvert from "./MarqueeAdvert.vue";
	import {images} from "../../images";
	import Pic from "../../components/Pic.vue";
	import HomeFeature from "./HomeFeature.vue";

	@Component({
		components: {HomeFeature, MarqueeAdvert, Banner, Pic}
	})
	export default class Home extends Vue {
		data() {
			return {
				custom: {
					i: images.home.customizable,
					d: "CyanPrint templates are robust and high customizable, allowing\n" +
						"limitless possibility even when setting up projects. This allows\n" +
						"developers to choose from to simply choose an arsenal of tooling\n" +
						"and get started with the project "
				},
				focus: {
					i: images.home.focus,
					d: "Instead of spending time on setting up and configuring \n" +
						"project builds, CyanPrint allows you to generate projects from\n" +
						"pre-built templates and jump right into development. No need to \n" +
						"fuss about making libraries work together - CyanPrint takes \n" +
						"care of that for you.",
				},
				production: {
					i: images.home.production,
					d: "Templates can be generated with GitLab CI/CD pre-built. Projects \n" +
						"scaffolded with these template can be immediately deployed to \n" +
						"live servers by pushing to remote. Don't break your keyboard\n" +
						"over configuring pipelines and build steps - CyanPrint covers \n" +
						"that for you"
				},
				simplicity: {
					i: images.home.simplicity,
					d: "CyanPrint allows you to template any project at any scale, with\n" +
						"a simple test generation, allowing both large and small projects \n" +
						"to be scaffolded with ease. Coupled clean and simple CLI, setting\n" +
						"up projects are no longer a fuss."
				},

			}
		}

	}
</script>
